<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        {% block metadata %}
            <meta name="description" content="">
            <meta name="author" content="">
        {% endblock %}

        <title>{% block title %}TWIM{% endblock %}</title>
        {% block stylesheets %}
            <link rel="stylesheet" href="{{ asset('build/css/app.css') }}">
        {% endblock %}
        <link rel="icon" type="image/x-icon" href="{{ asset('favicon.ico') }}" />
    </head>
    
    <body id="{% block body_id %}{% endblock %}">

        <header>
            {% block navigation %}{{ include('Default/_navigation.html.twig') }}{% endblock %}
        </header>

        <!-- Page Content -->
        <div class="container">
            {#<div>#}
                {#{% if is_granted("IS_AUTHENTICATED_REMEMBERED") %}#}
                    {#{{ 'layout.logged_in_as'|trans({'%username%': app.user.username}, 'FOSUserBundle') }} |#}
                    {#<a href="{{ path('fos_user_security_logout') }}">#}
                        {#{{ 'layout.logout'|trans({}, 'FOSUserBundle') }}#}
                    {#</a>#}
                {#{% else %}#}
                    {#<a href="{{ path('fos_user_security_login') }}">{{ 'layout.login'|trans({}, 'FOSUserBundle') }}</a>#}
                {#{% endif %}#}
            {#</div>#}

            {#{% if app.request.hasPreviousSession %}#}
                {#{% for type, messages in app.session.flashBag.all %}#}
                    {#{% for message in messages %}#}
                        {#<div class="{{ type }}">#}
                            {#{{ message|trans({}, 'FOSUserBundle') }}#}
                        {#</div>#}
                    {#{% endfor %}#}
                {#{% endfor %}#}
            {#{% endif %}#}


            {% block alert_messages %}{{ include('Default/_flash_messages.html.twig') }}{% endblock %}

            <div>
                {% block fos_user_content %}
                {% endblock fos_user_content %}
            </div>
        </div>

        {#{% block footer %}{{ include('Default/_footer.html.twig') }}{% endblock %}#}

        <script src="{{ asset('build/manifest.js') }}"></script>
        <script src="{{ asset('build/js/common.js') }}"></script>
        <script src="{{ asset('build/js/app.js') }}"></script>


        {% if app.user %}{% else %}
            <script src='https://www.google.com/recaptcha/api.js'></script>
            <script src="{{ asset('build/js/signup_login.js') }}"></script>
        {% endif %}

        {% block javascripts %}{% endblock %}

    </body>
</html>


